Bug 516059 - Review Request: dokuwiki - Standards compliant simple to use wiki
Summary: Review Request: dokuwiki - Standards compliant simple to use wiki
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 516058
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-06 15:03 UTC by Andrew Colin Kissa
Modified: 2014-12-29 07:40 UTC (History)
4 users (show)

Fixed In Version: 0-0.2.20090214.b.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 01:35:43 UTC
steve.traylen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Colin Kissa 2009-08-06 15:03:23 UTC
Spec URL: http://topdog-software.com/oss/SRPMS/fedora/dokuwiki/dokuwiki.spec
SRPM URL: http://topdog-software.com/oss/SRPMS/fedora/dokuwiki/dokuwiki-0-0.1.20090214.b.fc11.src.rpm
Description: 
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at creating 
documentation of any kind. It has a simple but powerful syntax which makes sure 
the datafiles remain readable outside the Wiki and eases the creation of 
structured texts. 

All data is stored in plain text files no database is required.

Comment 1 Steve Traylen 2009-08-07 18:18:00 UTC
Hi Andrew,

 I think this is still an unofficial review from me. I have packager 
 status only just recently. I need to check what I can and can't do.

 1) Looking at the .spec you have a 
    cat <<EOF >%{name}.httpd
    # %{name}
     ...
    EOF
 
 I'm fairly sure Fedora says not to do this but I really can't find
 a reference at moment, ....
 Instead include an extra source file Source1: %{name}.

 And in %{prep}
 cp -p %{SOURCE1} .

2)
%post
/sbin/service httpd condrestart > /dev/null 2>&1 || :

%postun
/sbin/service httpd condrestart > /dev/null 2>&1 || :

a graceful will be enough(?) and has the advantage you won't end up
with a non-running server at the end since the config will be checked.
I'd be interested in policy on this situation since I'm working on another
package with the same situation.

3) I would consider moving the sed lines to the %build area.
The %install section should be limited to installing where ever possible.

4) Some trivial RPM errors.

$ rpmlint dokuwiki.spec ../SRPMS/dokuwiki-0-0.1.20090214.b.fc11.src.rpm \
    ../RPMS/noarch/dokuwiki-0-0.1.20090214.b.fc11.noarch.rpm 

dokuwiki.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 1)
dokuwiki.src: W: mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 1)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 2 Andrew Colin Kissa 2009-08-07 19:21:15 UTC
Hi Steve,

If you are a packager you can do a full review of packages, except those that require sponsorship.

Issues raised:

1. I do not agree, i have not come across and fedora guidelines forbidding creating files from with in the spec file. Take a look at http://fedoraproject.org/wiki/Packaging/Guidelines#.desktop_file_creation which indicates you can create the file from with in the spec.

Anyway i would prefer to maintain one file as opposed to maintaining multiple files.

2. Fixed. This seems to be a grey area the other packages i have seen use condrestart but i agree graceful is a better way to go.

3. I have moved them to %prep instead i think that is the most appropriate place for them.  

4. Unfortunately i cannot fix this due to the sed lines, but this is not a blocker.

Updated spec and srpm
http://topdog-software.com/oss/SRPMS/fedora/dokuwiki/dokuwiki.spec
http://topdog-software.com/oss/SRPMS/fedora/dokuwiki/dokuwiki-0-0.2.20090214.b.fc11.src.rpm

Comment 3 Steve Traylen 2009-09-26 18:18:54 UTC
Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the webapp specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
     supported architecture.
     http://koji.fedoraproject.org/koji/taskinfo?taskID=1709685
 [x] Rpmlint output:
dokuwiki.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 38, tab: line 1)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
 > Okay since this is in a sed line.
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal
     requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Not present and not included.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
     in the spec URL.
c75c4781b8698041c3c9b6b0fec2ac2e  dokuwiki-2009-02-14b.tgz
c75c4781b8698041c3c9b6b0fec2ac2e  ../SOURCES/dokuwiki-2009-02-14b.tgz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Koji build done.
 [x] Package should compile and build into binary rpms on all supported
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

APPROVED

Comment 4 Andrew Colin Kissa 2009-09-27 10:15:14 UTC
Thanks Steve for the review.

New Package CVS Request
=======================
Package Name: dokuwiki
Short Description: Standards compliant simple to use wiki
Owners: topdog
Branches: F-10 F-11 F-12 EL-5

Comment 5 Kevin Fenzi 2009-09-29 20:13:47 UTC
cvs done.

Comment 6 Fedora Update System 2009-09-30 05:08:01 UTC
dokuwiki-0-0.2.20090214.b.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.2.20090214.b.fc11

Comment 7 Fedora Update System 2009-09-30 05:08:07 UTC
dokuwiki-0-0.2.20090214.b.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.2.20090214.b.el5

Comment 8 Fedora Update System 2009-09-30 05:08:12 UTC
dokuwiki-0-0.2.20090214.b.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dokuwiki-0-0.2.20090214.b.fc10

Comment 9 Fedora Update System 2009-10-01 00:02:16 UTC
dokuwiki-0-0.2.20090214.b.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10126

Comment 10 Fedora Update System 2009-10-01 00:05:07 UTC
dokuwiki-0-0.2.20090214.b.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10148

Comment 11 Fedora Update System 2009-10-02 05:06:29 UTC
dokuwiki-0-0.2.20090214.b.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dokuwiki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0562

Comment 12 Fedora Update System 2009-10-14 01:35:34 UTC
dokuwiki-0-0.2.20090214.b.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-10-14 01:36:29 UTC
dokuwiki-0-0.2.20090214.b.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-10-16 19:33:12 UTC
dokuwiki-0-0.2.20090214.b.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Adam Tkac 2014-12-26 15:50:52 UTC
Package Change Request
======================
Package Name: dokuwiki
New Branches: epel7
Owners: atkac
InitialCC: topdog

Comment 16 Jason Tibbitts 2014-12-29 07:40:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.